package market.Qms.qcm.mapper;
import java.util.List;

import market.Lms.Warehouse.vo.YdmProductDetail;
import market.Qms.qcm.vo.QcmJudgePhysical;

import org.apache.ibatis.annotations.Param;

import com.hnshituo.orm.GenericMapper;

public interface QcmJudgePhysicalMapper extends GenericMapper<QcmJudgePhysical,Object> {

	List<QcmJudgePhysical> doQueryQcmJudgePhysical(String condition,int num1,int num2);
	public int doQueryQcmJudgePhysicalCount(String condition);
	/**
	 * 获取今日最大编码
	 * @param currentDate
	 * @return
	 */
	String GetMaxId(String currentDate);
	
	//把卷号对应的综合判定结果清空
	void emptyUtJudgeResult(YdmProductDetail ydm);
	
	//根据材质判定记录号查询综合判定材质检验实绩信息
	 QcmJudgePhysical getPhySampleItem(@Param("qjp")QcmJudgePhysical qjp);
}
